import {TreeItem} from "@/components/Tree";


export const tableList: any[] = [
  {
    selectedDeptId: 23,
    ruleName: 'has_agg',
    ruleDescription: '类型不为int或者bigint时报错',
    databaseUser: 'user001,user002',
    ruleHandling: '建议优化',
    disposalSuggestions: '',
    sql:
      'SELECT COUNT(*)\n' +
      'FROM $(table a}\n' +
      'WHERE ${column a}IS NOT NULL AND ${column a}NOT IN (${range a})',
  },
  {
    selectedDeptId: 24,
    ruleName: 'is_Param_Of_Agg',
    ruleDescription: 'select * 时报错',
    databaseUser: 'user001,user002',
    ruleHandling: '建议优化',
    disposalSuggestions: '',
    sql:
      'qqqqSELECT COUNT(*)\n' +
      'FROM $(table a}\n' +
      'WHERE ${column a}IS NOT NULL AND ${column a}NOT IN (${range a})',
  },
  {
    selectedDeptId: 25,
    ruleName: 'is_Location_Exists',
    ruleDescription: '在多个改同一个表的语句出现时报错',
    databaseUser: 'user001,user002',
    ruleHandling: '建议优化',
    disposalSuggestions: '',
    sql:
      'wwwwSELECT COUNT(*)\n' +
      'FROM $(table a}\n' +
      'WHERE ${column a}IS NOT NULL AND ${column a}NOT IN (${range a})',
  },

];

export const treeDataList = [
  {
    label: '审核规则',
    businessId: 1,
    children: [
      {
        // {
        //   label: 'admin_个人工作区',
        //   businessId: 2,
        //   children: [
        //     { label: '个人工作区1', businessId: 6 },
        //     { label: '个人工作区2', businessId: 7 },
        //   ],
        // },
        // { label: '共享工作区', businessId: 3 },
        // { label: '商城工作区', businessId: 4 },
        // { label: '指标工作区', businessId: 5 },
      }
    ],
  },
];
export const treeDataListTwo = [
  {
    label: '数据连接',
    selectedDeptId: 21,
    children: [
      { label: 'ArgoDB-001', selectedDeptId: 23 },
      { label: 'ArgoDB-002', selectedDeptId: 24 },
      { label: 'ArgoDB-003', selectedDeptId: 25 },
      { label: 'ArgoDB-004', selectedDeptId: 26 },
      { label: 'ArgoDB-005', selectedDeptId: 27 },
    ],
  },

];

export const treeDataTwo: TreeItem[] = [
  {
    title: '全部审核规则 ',
    key: '0-0',
    icon: 'ion:settings-outline',
    children: [
      {
        title: '错误问题规则',
        key: '0-0-1',
        children: [
          {
            title: 'has_agg',
            key: '0-0-2',
            icon: 'ion:settings-outline',

          },
          {
            title: 'is_Param_Of_Agg',
            key: '0-0-3',
            icon: 'ion:settings-outline',

          },
          {
            title: 'is_Location_Exists',
            key: '0-0-4',
            icon: 'ion:settings-outline',

          },
        ],
      },
    ],
  },
];
